org.bdgenomics.adam.rdd

# RegionJoin

###
Related Doc: package rdd

#### abstract class RegionJoin[T, U, RT, RU] extends Serializable

A trait describing a join in the genomic coordinate space between two RDDs where the values are keyed by a ReferenceRegion.

T

  The type of the left RDD.

U

  The type of the right RDD.

RT

  The type of data yielded by the left RDD at the output of the join. This may not match T if the join is an outer join, etc.

RU

  The type of data yielded by the right RDD at the output of the join.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Known Subclasses
FullOuterShuffleRegionJoin, InnerShuffleRegionJoin, InnerShuffleRegionJoinAndGroupByLeft, InnerTreeRegionJoin, InnerTreeRegionJoinAndGroupByRight, LeftOuterShuffleRegionJoin, LeftOuterShuffleRegionJoinAndGroupByLeft, RightOuterShuffleRegionJoinAndGroupByLeft, RightOuterTreeRegionJoin, RightOuterTreeRegionJoinAndGroupByRight, ShuffleRegionJoin, SortedIntervalPartitionJoinWithVictims, TreeRegionJoin, VictimlessSortedIntervalPartitionJoin
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RegionJoin
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new RegionJoin()(implicit arg0: ClassTag[T], arg1: ClassTag[U])

### Abstract Value Members

1. #### abstract def partitionAndJoin(baseRDD: RDD[(ReferenceRegion, T)], joinedRDD: RDD[(ReferenceRegion, U)]): RDD[(RT, RU)]

   Performs a region join between two RDDs.

   Performs a region join between two RDDs.

   baseRDD

     The 'left' side of the join

   joinedRDD

     The 'right' side of the join

   returns

     An RDD of pairs (x, y), where x is from baseRDD, y is from joinedRDD, and the region corresponding to x overlaps the region corresponding to y.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped